/*
 * umlsim.c - UML-based discrete event simulator
 *
 * Written 2002 by Werner Almesberger
 */


#include <stdio.h>

#include "timer.h"


extern int __real_main(int argc,const char **argv);
extern void calibrate_delay(void);

extern int sync;


int __wrap_main(int argc,const char **argv)
{   
    int ret;

    umlsim_setup_time();
    *(unsigned char *) calibrate_delay = 0xc3; /* ret */
    sync = 1; /* make "disk" (UBD) activity synchronous */
    ret = __real_main(argc,argv);
    fprintf(stderr,"UML returns %d\n",ret);
    return 0;
}
